Anonymous Login
2019-12-11 17:17 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001028v3.0 Release[All Projects] Generalpublic2013-08-28 11:21
Reportersasquatch58 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0.0 
Summary0001028: Hook Handler Class correction
DescriptionIn testing the Holiday module, I found problems with display of Calendar with Month & Week view - calendar not visible and error reported was "Fatal error: Call to undefined method CHoliday::hook_calendar_links() in /opt/web2dev/classes/w2p/Core/HookHandler.class.php on line 80"
Tracked to ..../classes/w2p/Core/HookHandler.class.php line 79.
Change:
if (is_callable(array($object, 'hook_calendar')) && is_callable(array($object, 'getCalendarLink'))) {
to:
if (is_callable(array($object, $hookname)) && is_callable(array($object, 'getCalendarLink'))) {
and all should work OK - calendar displays OK but currently not showing holiday name text (still chasing that one but no errors listed).
Cheers
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002347

caseydk (administrator)

Thanks, resolved in r2228
+Notes

-Issue History
Date Modified Username Field Change
2011-12-02 00:21 sasquatch58 New Issue
2011-12-11 17:50 caseydk Status new => assigned
2011-12-11 17:50 caseydk Assigned To => caseydk
2011-12-12 06:08 caseydk Note Added: 0002347
2011-12-12 06:08 caseydk Status assigned => resolved
2011-12-12 06:08 caseydk Resolution open => fixed
2013-08-28 11:13 caseydk Fixed in Version => 3.0.0
2013-08-28 11:21 caseydk Status resolved => closed
+Issue History